Name:          diffpdf
Version:       1.1.4
Release:       2mamba
Summary:       PDF files comparator
Group:         Applications/Publishing
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://www.qtrac.eu/diffpdf.html
Source:        http://www.qtrac.eu/diffpdf-%{version}.tar.gz
Source1:       diffpdf.desktop
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libpoppler-qt4-devel
BuildRequires: libqt4-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
DiffPDF can compare two PDF files.
It offers two comparison modes: Text and Appearance. 

%prep
%setup -q

%build
%{_qt4_qmake}
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -D -m 755 diffpdf %{buildroot}%{_bindir}/diffpdf

# generate and install icons
for f in 16 32; do
   install -d %{buildroot}%{_datadir}/icons/hicolor/${f}x${f}/apps
   convert images/icon.png -size ${f}x${f} \
     %{buildroot}%{_datadir}/icons/hicolor/${f}x${f}/apps/diffpdf.png
done

# install desktop file
desktop-file-install \
  --dir=%{buildroot}%{_datadir}/applications \
  %{S:1}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/diffpdf
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/applications/*.desktop
%doc gpl-2.0.txt
#%doc CHANGES README

%changelog
* Thu Jun 06 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.4-2mamba
- rebuilt with libpoppler 0.20.5

* Sun Nov 07 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.1.4-1mamba
- package created by autospec
